### Method

# Clutter Actor event

#### Declaration [src]

    gboolean
    clutter_actor_event (
      ClutterActor* actor,
      const ClutterEvent* event,
      gboolean capture
    )

#### Description [src]

This function is used to emit an event on the main stage. You should rarely need to use this function, except for synthetising events.

#### Parameters

`event`

  Type: `ClutterEvent`

  A `ClutterEvent`.

  The data is owned by the caller of the method.

`capture`

  Type: `gboolean`

  `TRUE` if event in in capture phase, `FALSE` otherwise.

#### Return value

Type: `gboolean`

The return value from the signal emission: `TRUE` if the actor handled the event, or `FALSE` if the event was not handled.